Page MenuHomePhabricator

CentralAuth, MassMessage and WikibaseLexeme build failures
Closed, ResolvedPublic

Description

Apologies for creating a single task for three different extensions, but it seems like a single core change might have resulted in the breakage for these three. If not, we could split these up into separate tasks.

Example URLs: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/11075/console, https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/50980/console

12:39:09 There were 16 failures:
12:39:09 
12:39:09 1) CentralAuthIdLookupTest::testLookupCentralIds
12:39:09 === Logs generated by test case
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [CentralAuthVerbose] [info] Loading state for global user UTCentralAuthIdLookup1 from DB {"private":false}
12:39:09 [CentralAuthVerbose] [info] Loading attached wiki list for global user UTCentralAuthIdLookup1 from DB {"private":false}
12:39:09 [CentralAuthVerbose] [info] Loading groups for global user UTCentralAuthIdLookup1 {"private":false}
12:39:09 [CentralAuthVerbose] [info] Loading CentralAuthUser for user UTCentralAuthIdLookup1 from cache object {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 ===
12:39:09 sanity check
12:39:09 Failed asserting that false is true.
12:39:09 
12:39:09 /workspace/src/extensions/CentralAuth/tests/phpunit/CentralAuthIdLookupTest.php:95
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 2) CentralAuthIdLookupTest::testLookupUserNames
12:39:09 === Logs generated by test case
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 4 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 5 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 6 from database. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Hooks::callHook/WikimediaEventsHooks::onUserSaveOptions/WikimediaEventsHooks::isKnownSettingsPage/ContextSource->getTitle/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 ===
12:39:09 sanity check
12:39:09 Failed asserting that false is true.
12:39:09 
12:39:09 /workspace/src/extensions/CentralAuth/tests/phpunit/CentralAuthIdLookupTest.php:120
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 3) MediaWiki\MassMessage\MassMessageListContentHandlerTest::testEdit
12:39:09 === Logs generated by test case
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] EditPage::importFormData: Form data appears to be incomplete {"private":false}
12:39:09 [wfDebug] [debug] POST DATA: array (
12:39:09 ) {"private":false}
12:39:09 [SpamBlacklist] [info] Spam blacklist validator: [[MassMessageListCHTest_spamlist]] not a local blacklist {"private":false}
12:39:09 ===
12:39:09 Failed asserting that false is true.
12:39:09 
12:39:09 /workspace/src/extensions/MassMessage/tests/phpunit/content/MassMessageListContentHandlerTest.php:57
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 4) Wikibase\Lexeme\Tests\MediaWiki\Api\AddFormTest::testGivenValidDataWithoutEditPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(rm): cache missing, need to make one {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::recache: got localisation for rm from source {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163343 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Item:Q17]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:3-0!wb=3 and timestamp 20190529163344 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Item:Q17]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Item_talk:Q17 http://7fc3610d98ab/index.php?title=Item_talk:Q17&action=history http://7fc3610d98ab/index.php/Item:Q17 http://7fc3610d98ab/index.php?title=Item:Q17&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [StashEdit] [debug] AbuseFilter::filterAction: cache miss for 'Lexeme:L1' (key wikidb-unittest_:abusefilter:check-stash:default:9e065744c8ef1af65a19f6e0c0621dd3:v1). []
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163344 and revision id 4 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [Echo] [debug] {user} (id: {id}) has already been thanked for their {count} edit {"user":"Apitesteditor","id":8,"count":1}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/AddFormTest.php:313
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 5) Wikibase\Lexeme\Tests\MediaWiki\Api\AddSenseTest::testGivenValidDataWithoutEditPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(tc): cache missing, need to make one {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163347 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [StashEdit] [debug] AbuseFilter::filterAction: cache miss for 'Lexeme:L1' (key wikidb-unittest_:abusefilter:check-stash:default:427d5fc68b7beac2a573c0ed19e6979d:v1). []
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163347 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/AddSenseTest.php:213
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 6) Wikibase\Lexeme\Tests\MediaWiki\Api\EditFormElementsTest::testEditOfFormWithoutPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(pf): cache missing, need to make one {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163359 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 ===
12:39:09 Failed asserting that two strings are identical.
12:39:09 --- Expected
12:39:09 +++ Actual
12:39:09 @@ @@
12:39:09 -'apierror-writeapidenied'
12:39:09 +'apierror-wikibaselexeme-invalid-item-id'
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/EditFormElementsTest.php:814
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 7) Wikibase\Lexeme\Tests\MediaWiki\Api\EditSenseElementsTest::testEditOfSenseWithoutPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(yt): cache missing, need to make one {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163404 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":2}
12:39:09 [Wikibase] [debug] {method}: Looking up revision {revisionId} of {entityId}. {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityMetaDataLookup::selectRevisionInformationById","revisionId":2,"entityId":{}}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":2}
12:39:09 [Wikibase] [debug] {method}: Looking up revision {revisionId} of {entityId}. {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityMetaDataLookup::selectRevisionInformationById","revisionId":2,"entityId":{}}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/EditSenseElementsTest.php:489
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 8) Wikibase\Lexeme\Tests\MediaWiki\Api\LexemeEditEntityTest::testEditOfLexemeWithoutEditPermission_violationIsReported with data set #0 (array(array(array('L100-F77', ''))))
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163424 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L100 http://7fc3610d98ab/index.php?title=Lexeme_talk:L100&action=history http://7fc3610d98ab/index.php/Lexeme:L100 http://7fc3610d98ab/index.php?title=Lexeme:L100&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [GlobalTitleFail] [info] MessageCache::parse called by Wikibase\Repo\Api\ApiErrorReporter->addMessageToResult/Wikibase\Repo\Api\ApiErrorReporter->convertMessageToResult/Message->parse/Message->toString/Message->parseText/MessageCache->parse with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 ===
12:39:09 Failed asserting that two strings are identical.
12:39:09 --- Expected
12:39:09 +++ Actual
12:39:09 @@ @@
12:39:09 -'apierror-writeapidenied'
12:39:09 +'wikibase-validator-form-not-found'
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/LexemeEditEntityTest.php:1377
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 9) Wikibase\Lexeme\Tests\MediaWiki\Api\LexemeEditEntityTest::testEditOfLexemeWithoutEditPermission_violationIsReported with data set #1 (array('Q333'))
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163425 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L100 http://7fc3610d98ab/index.php?title=Lexeme_talk:L100&action=history http://7fc3610d98ab/index.php/Lexeme:L100 http://7fc3610d98ab/index.php?title=Lexeme:L100&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [GlobalTitleFail] [info] MessageCache::parse called by Wikibase\Repo\Api\ApiErrorReporter->addMessageToResult/Wikibase\Repo\Api\ApiErrorReporter->convertMessageToResult/Message->parse/Message->toString/Message->parseText/MessageCache->parse with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 ===
12:39:09 Failed asserting that two strings are identical.
12:39:09 --- Expected
12:39:09 +++ Actual
12:39:09 @@ @@
12:39:09 -'apierror-writeapidenied'
12:39:09 +'wikibase-validator-no-such-entity'
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/LexemeEditEntityTest.php:1377
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 10) Wikibase\Lexeme\Tests\MediaWiki\Api\LexemeEditEntityTest::testEditOfLexemeWithoutEditPermission_violationIsReported with data set #2 (array(array(array('en', 'worm'))))
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163425 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L100 http://7fc3610d98ab/index.php?title=Lexeme_talk:L100&action=history http://7fc3610d98ab/index.php/Lexeme:L100 http://7fc3610d98ab/index.php?title=Lexeme:L100&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [StashEdit] [debug] AbuseFilter::filterAction: cache miss for 'Lexeme:L100' (key wikidb-unittest_:abusefilter:check-stash:default:85e6729915573a317efc78b90e6644ca:v1). []
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163425 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L100 http://7fc3610d98ab/index.php?title=Lexeme:L100&action=history {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/LexemeEditEntityTest.php:1375
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 11) Wikibase\Lexeme\Tests\MediaWiki\Api\LexemeEditEntityTest::testEditOfLexemeWithoutEditPermission_violationIsReported with data set #3 (array('Q303'))
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163425 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L100 http://7fc3610d98ab/index.php?title=Lexeme_talk:L100&action=history http://7fc3610d98ab/index.php/Lexeme:L100 http://7fc3610d98ab/index.php?title=Lexeme:L100&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L100]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [GlobalTitleFail] [info] MessageCache::parse called by Wikibase\Repo\Api\ApiErrorReporter->addMessageToResult/Wikibase\Repo\Api\ApiErrorReporter->convertMessageToResult/Message->parse/Message->toString/Message->parseText/MessageCache->parse with no title set. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 [wfDebug] [debug] Babel: cache miss for user 8 {"private":false}
12:39:09 ===
12:39:09 Failed asserting that two strings are identical.
12:39:09 --- Expected
12:39:09 +++ Actual
12:39:09 @@ @@
12:39:09 -'apierror-writeapidenied'
12:39:09 +'wikibase-validator-no-such-entity'
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/LexemeEditEntityTest.php:1377
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 12) Wikibase\Lexeme\Tests\MediaWiki\Api\MergeLexemesTest::testRequestByUserWithoutPermission_accessIsDenied
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [GlobalTitleFail] [info] MessageCache::parse called by Wikibase\Repo\Api\ApiErrorReporter->addMessageToResult/Wikibase\Repo\Api\ApiErrorReporter->convertMessageToResult/Message->parse/Message->toString/Message->parseText/MessageCache->parse with no title set. {"private":false}
12:39:09 ===
12:39:09 Failed asserting that two strings are equal.
12:39:09 --- Expected
12:39:09 +++ Actual
12:39:09 @@ @@
12:39:09 -'writeapidenied'
12:39:09 +'no-such-entity'
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/MergeLexemesTest.php:114
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 13) Wikibase\Lexeme\Tests\MediaWiki\Api\RemoveFormTest::testGivenValidDataWithoutEditPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(ux): cache missing, need to make one {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163441 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [StashEdit] [debug] AbuseFilter::filterAction: cache miss for 'Lexeme:L1' (key wikidb-unittest_:abusefilter:check-stash:default:2e476f524c8316e05f04a9f2e9eba8ad:v1). []
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163441 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/RemoveFormTest.php:228
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 14) Wikibase\Lexeme\Tests\MediaWiki\Api\RemoveSenseTest::testGivenValidDataWithoutEditPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] LocalisationCache::isExpired(gi): cache missing, need to make one {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163444 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [StashEdit] [debug] AbuseFilter::filterAction: cache miss for 'Lexeme:L1' (key wikidb-unittest_:abusefilter:check-stash:default:d0acad56cc9b980d56d6d4a0034471af:v1). []
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163445 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/RemoveSenseTest.php:228
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 15) Wikibase\Lexeme\Tests\MediaWiki\Api\SetClaimTest::testGivenFormIdWithoutEditPermission_violationIsReported
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] MessageCache::parse called by Wikibase\View\EntityView->renderEntityView/Wikibase\View\PropertyView->getMainHtml/Message->parse/Message->toString/Message->parseText/MessageCache->parse with no title set. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Property:P1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163449 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Property:P1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Property_talk:P1 http://7fc3610d98ab/index.php?title=Property_talk:P1&action=history http://7fc3610d98ab/index.php/Property:P1 http://7fc3610d98ab/index.php?title=Property:P1&action=history {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by call_user_func/Wikibase\Lexeme\WikibaseLexemeHooks::{closure}/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:3-0!wb=3 and timestamp 20190529163449 and revision id 3 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme_talk:L1 http://7fc3610d98ab/index.php?title=Lexeme_talk:L1&action=history http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [Wikibase] [debug] {method}: caching fresh property info table {"method":"Wikibase\\Lib\\Store\\{closure}"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [wfDebug] [debug] User: loading options for user 8 from database. {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: effective user limit: 90 in 60s {"private":false}
12:39:09 [wfDebug] [debug] User::pingLimiter: adding record for wikidb-unittest_:limiter:edit:user:8 (limit 90 in 60s) {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":3}
12:39:09 [Wikibase] [debug] {method}: Looking up revision {revisionId} of {entityId}. {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityMetaDataLookup::selectRevisionInformationById","revisionId":3,"entityId":{}}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":0}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] ConfirmEdit: no need to show captcha. {"private":false}
12:39:09 [Wikibase] [debug] {method}: Looking up entity {entityId} (revision {revisionId}). {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityRevisionLookup::getEntityRevision","entityId":{},"revisionId":3}
12:39:09 [Wikibase] [debug] {method}: Looking up revision {revisionId} of {entityId}. {"method":"Wikibase\\Lib\\Store\\Sql\\WikiPageEntityMetaDataLookup::selectRevisionInformationById","revisionId":3,"entityId":{}}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:3-0!wb=3 and timestamp 20190529163449 and revision id 4 {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Lexeme:L1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Lexeme:L1 http://7fc3610d98ab/index.php?title=Lexeme:L1&action=history {"private":false}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 [Wikibase] [debug] {method}: using in class cached property info table {"method":"Wikibase\\Lib\\Store\\CachingPropertyInfoLookup::getPropertyInfo"}
12:39:09 ===
12:39:09 Expected apierror-writeapidenied to be raised
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Api/SetClaimTest.php:247
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 16) Wikibase\Lexeme\Tests\MediaWiki\Specials\SpecialNewLexemeTest::testRequestByUserWithoutPermission_accessIsDenied
12:39:09 === Logs generated by test case
12:39:09 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/7fc3610d98ab\/entity\/'"}
12:39:09 [caches] [info] parser: HashBagOStuff {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 2 from override cache. {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:content_models:wikidb-unittest_"}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:slot_roles:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Item:Q1]] are {edit} {"private":false}
12:39:09 [objectcache] [info] Rejected set() for {cachekey} due to pending writes. {"cachekey":"global:NameTableSqlStore:change_tag_def:wikidb-unittest_"}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] MediaWiki\Revision\RenderedRevision::outputVariesOnRevisionMetaData: Keeping prepared output... {"private":false}
12:39:09 [wfDebug] [debug] Saved in parser cache with key wikidb-unittest_:pcache:idhash:2-0!wb=3 and timestamp 20190529163458 and revision id 2 {"private":false}
12:39:09 [wfDebug] [debug] BacklinkCache::queryLinks: got results from DB {"private":false}
12:39:09 [wfDebug] [debug] Title::getRestrictionTypes: applicable restrictions to [[Item:Q1]] are {edit} {"private":false}
12:39:09 [wfDebug] [debug] Unstubbing $wgParser on call of $wgParser::preSaveTransform from EchoDiscussionParser::stripSignature {"private":false}
12:39:09 [wfDebug] [debug] ParserFactory: using preprocessor: Preprocessor_DOM {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [wfDebug] [debug] User: loading options for user 1 from database. {"private":false}
12:39:09 [squid] [info] CdnCacheUpdate::purge: http://7fc3610d98ab/index.php/Item_talk:Q1 http://7fc3610d98ab/index.php?title=Item_talk:Q1&action=history http://7fc3610d98ab/index.php/Item:Q1 http://7fc3610d98ab/index.php?title=Item:Q1&action=history {"private":false}
12:39:09 [wfDebug] [debug] User::getBlockedStatus: checking... {"private":false}
12:39:09 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
12:39:09 [GlobalTitleFail] [info] RequestContext::getTitle called by Wikibase\Lexeme\MediaWiki\Specials\HTMLForm\LemmaLanguageField->constructOptions/Wikibase\Lexeme\MediaWiki\Content\LexemeLanguageNameLookup->getName/RequestContext->msg/Message->setContext/RequestContext->getTitle with no title set. {"private":false}
12:39:09 ===
12:39:09 
12:39:09 /workspace/src/extensions/WikibaseLexeme/tests/phpunit/mediawiki/Specials/SpecialNewLexemeTest.php:116
12:39:09 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
12:39:09 /workspace/src/maintenance/doMaintenance.php:98
12:39:09 
12:39:09 FAILURES!
12:39:09 Tests: 4925, Assertions: 15679, Failures: 16, Skipped: 82.
12:39:09 Traceback (most recent call last):
12:39:09   File "/usr/local/bin/quibble", line 11, in <module>
12:39:09     load_entry_point('quibble==0.0.0', 'console_scripts', 'quibble')()
12:39:09   File "/usr/local/lib/python3.5/dist-packages/quibble/cmd.py", line 573, in main
12:39:09     cmd.execute()
12:39:09   File "/usr/local/lib/python3.5/dist-packages/quibble/cmd.py", line 545, in execute
12:39:09     junit_file=junit_db_file)
12:39:09   File "/usr/local/lib/python3.5/dist-packages/quibble/test.py", line 196, in run_phpunit_database
12:39:09     run_phpunit(*args, **kwargs)
12:39:09   File "/usr/local/lib/python3.5/dist-packages/quibble/test.py", line 191, in run_phpunit
12:39:09     subprocess.check_call(cmd, cwd=mwdir, env=phpunit_env)
12:39:09   File "/usr/lib/python3.5/subprocess.py", line 271, in check_call
12:39:09     raise CalledProcessError(retcode, cmd)
12:39:09 subprocess.CalledProcessError: Command '['php', 'tests/phpunit/phpunit.php', '--debug-tests', '--testsuite', 'extensions', '--group', 'Database', '--exclude-group', 'Broken,ParserFuzz,Stub', '--log-junit', '/workspace/log/junit-db.xml']' returned non-zero exit status 1

Event Timeline

kostajh created this task.May 29 2019, 5:08 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 29 2019, 5:08 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript
kostajh raised the priority of this task from Normal to Unbreak Now!.May 29 2019, 5:09 PM

This is blocking merge on GrowthExperiments

@kostajh To confirm, the build is passing for core, CentralAuth, MassMessage and WikibaseLexeme. But the build is failing for commits to GrowthExperiments, for which these gates tests also run. Is that right?

I don't see any changes in core:/includes/api last 24 hours that appear related to apierror-writeapidenied or CentralAuthIdLookupTest. Might be hard to find someone to start investigating without narrowing it down first.

When was the last passing build for this repo in Gerrit?

So we have unexpected permissions errors and a fresh merged patch set about permissions - https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/502484/

I have no idea if that is related

So we have unexpected permissions errors and a fresh merged patch set about permissions - https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/502484/

Yeah I was just looking at it. That's the problematic commit. One commit prior to that, and CentralAuth tests work.

@Umherirrender the Depends-On references in that patch contain the hints about what needs to happen. I'll submit a fix now for CentralAuth.

Change 513197 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/CentralAuth@master] Override MediaWikiServices so tests can pass

https://gerrit.wikimedia.org/r/513197

Umherirrender added a comment.EditedMay 29 2019, 8:26 PM

MediaWikiTestCase::setGroupPermissions should override the services, not each extension calling that function or at least mention the fact, that it is needed.

Change 513248 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/MassMessage@master] Tests: Override MediaWiki Services

https://gerrit.wikimedia.org/r/513248

kostajh claimed this task.May 30 2019, 2:07 AM

Change 513250 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikibaseLexeme@master] Tests: Reset PermissionManager service

https://gerrit.wikimedia.org/r/513250

MediaWikiTestCase::setGroupPermissions should override the services, not each extension calling that function or at least mention the fact, that it is needed.

Indeed. I'm making a patch.

Change 513268 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Reset services after setting group permissions in tests.

https://gerrit.wikimedia.org/r/513268

Change 513283 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Add CentralAuth, MassMessage and WikibaseLexeme to gated extensions

https://gerrit.wikimedia.org/r/513283

Sario528 removed a subscriber: Sario528.May 30 2019, 1:35 PM

Unassigning myself as the core patch has been reverted. See the note in T218558#5223836

Krinkle lowered the priority of this task from Unbreak Now! to High.EditedMay 30 2019, 3:19 PM

@kostajh I assume that means CI is now unblocked. Undo if not :)

nray added a subscriber: nray.May 30 2019, 3:57 PM

Change 513283 abandoned by Kosta Harlan:
Add CentralAuth, MassMessage and WikibaseLexeme to gated extensions

https://gerrit.wikimedia.org/r/513283

MediaWikiTestCase::setGroupPermissions should override the services, not each extension calling that function or at least mention the fact, that it is needed.

I believe there are a couple of issues with just adding services override into MediaWikiTestCase::setGroupPermissions :

So it looks like we either need to change the logic around overrideMwServices/setService or we could try to reset PermissionManger only via MediaWikiServices::resetServiceForTesting, though this would solve only the second problem and not the first.

Change 513197 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Override MediaWikiServices so tests can pass

https://gerrit.wikimedia.org/r/513197

Change 513248 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Tests: Override MediaWiki Services

https://gerrit.wikimedia.org/r/513248

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:25 PM

@kostajh / @Tgr Would either of you have time to review Daniel's patch

https://gerrit.wikimedia.org/r/513268

@WDoranWMF I've reviewed and can merge it if someone from CPT would be around to handle any breakages in extensions (see this comment).

@kostajh Thank you so much. I'll sync with @daniel and make sure we're able to.

@kostajh @WDoranWMF I'm here for another couple of hours today, and I'm also available on Monday. I think at least the first two patches can go in now:

With the extensions patched, it should also be fine now to re-apply the original change:

Change 513268 merged by jenkins-bot:
[mediawiki/core@master] Reset services after setting group permissions in tests

https://gerrit.wikimedia.org/r/513268

Change 513250 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Tests: Reset PermissionManager service

https://gerrit.wikimedia.org/r/513250

Jdforrester-WMF closed this task as Resolved.Jun 28 2019, 11:32 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:06 PM